View Bug Details

IDProjectCategoryView StatusLast Update
0001279DCP-o-matic[All Projects] Featurespublic2019-07-25 15:25
ReporterCarstenAssigned Tocarl 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformMacOSOS X OS Version10.11
Product Version2.14.0 
Target Version2.14.0Fixed in Version 
Summary0001279: Make Timeline View scrollable to accomodate more audio channels + subtitles, and add more labels
Description

With many audio files in the content list, they are not all displayed in timeline view for rearrangement, so a vertical scrolling would be handy. Once CCAPs will be added, and with multile audio files, we will need more screen estate there anyway, so, zoom or scroll become a necessity. I would be perfectly ok with automatic scaling, as there is no need for too detailed information, it is simply a graphical overview. So, if tracks become leaner with more tracks, no problem (I think)...
Worst case the way it is now is if someone adds all audio files for a reel'd feature, each with individual mono tracks (which is not hypothetical, although I exxagerate a bit in the attached screenshot).

Also, maybe it would be possible to arrange audio files so that they follow their audio track arrangement in the audio matrix, e.g. DCP channel 1 always on top, followed by DCP channel one. Or, add a small channel label to each file.

Maybe give gain indications, or color any settings changes (like non zero gain, delay, etc.). So you get a nice overview about possible issues, inadvertent changes, etc.

  • Carsten
TagsNo tags attached.
Estimated work requiredUnknown

Relationships

has duplicate 0001430 resolvedcarl Order parallel audio tracks in timeline view by DCP channel order 
related to 0001320 closedcarl Zoom in timeline 

Activities

Carsten

2018-04-20 12:09

manager  

Carsten

2018-04-20 12:36

manager  

carl

2018-07-04 21:47

administrator   ~0002503

Scrolling and zoom is in 2.13.33.

carl

2018-07-04 23:50

administrator   ~0002504

I think this is all covered by 753707b4049940262b7824b584bbe36f5f133cbe and surrounding commits (2.13.33).

Bug History

Date Modified Username Field Change
2018-04-20 12:09 Carsten New Bug
2018-04-20 12:09 Carsten Status new => assigned
2018-04-20 12:09 Carsten Assigned To => carl
2018-04-20 12:09 Carsten File Added: Bildschirmfoto 2018-04-20 um 12.59.36.png
2018-04-20 12:33 Carsten Description Updated View Revisions
2018-04-20 12:36 Carsten Description Updated View Revisions
2018-04-20 12:36 Carsten File Added: Bildschirmfoto 2018-04-20 um 14.35.56.png
2018-06-11 10:03 carl Relationship added related to 0001320
2018-07-04 21:47 carl Note Added: 0002503
2018-07-04 23:50 carl Status assigned => resolved
2018-07-04 23:50 carl Resolution open => fixed
2018-07-04 23:50 carl Note Added: 0002504
2018-10-17 19:16 carl Status resolved => closed
2019-07-25 15:25 carl Relationship added has duplicate 0001430